Add filter for projects view page

2010-10-13 08:31 - Mikhail Sviridov

Status: Closed Start date: 2010-10-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Now I see a lot of projects in one page, but I need only mine projects to find it faster.

In the right bottom corner of page there is a star with note `My projects` - it can be moved to right top corner and made clickable (or

link) that enables filter to show only mine projects or all projects. Or it can be done in other way.

By default page can show all projects to disable confusion of newcomers when they want create new task for some project.

Related issues:

Related to Redmine - Feature #3224: Better project list Closed 2009-04-23

Related to Redmine - Feature #22124: Display summary of projects in Projects ... Closed

Related to Redmine - Feature #29482: Query system for Projects page Closed

Has duplicate Redmine - Feature #22121: Add a quick search of projects in Pro... Closed

Has duplicate Redmine - Feature #22165: Adding a my projects filter to the pr... Closed

History

#1 - 2010-10-13 12:18 - Jean-Baptiste Barth

I like the idea of a quick filter like that. Do you think we should also provide the ability to set this filter in common filters (on issues/gantt/calendar

pages) ?

#2 - 2010-10-13 21:16 - Terence Mill

+1

#3 - 2012-05-06 06:52 - Mikhail Sviridov

This filter must select, for example, only my projects (in which teams I exists). It's like a ProjectFiltering plugin and Favourite Projects plugin.

You can provide a tab `Favourite projects` that contains only projects you selected - if you have 100 projects or more it's very difficult to find some

project. But if you had found those projects you can add them to favourites tab (on projects view page) via context menu or with `add to favourites`

link near each project to access them faster the next time.

#4 - 2012-09-11 09:57 - Mikhail Sviridov

Jean-Baptiste Barth wrote:

I like the idea of a quick filter like that. Do you think we should also provide the ability to set this filter in common filters (on issues/gantt/calendar

pages) ?

 I don't know if this is important. After I selected a project on the projects' page I have no need in this filter any more. Though, in issue properties I can

select another project and will be good to select my project, not foreign (not tested it).

Now I don't know.

The best decision at the moment is simply to show My Projects in Dashboard and ability to filter My Projects in the projects' page.

#5 - 2013-05-13 12:07 - Mikhail Sviridov

I think it has been partially fixed in some recent version (<=2.3.1 and >= 2.2.0).

#6 - 2016-03-20 10:48 - Kush Suryavanshi

This is a really useful feature that we woulld like. We have around 250 projects and a feature to filter the projects with various custom fields(just like

issues) will be really useful. We have tried "favourite project" plugin but it has some limitations. I am surprised there isn't much demand for this

feature. May be I am missing something or doing something wrong? Thanks

#7 - 2016-03-21 13:01 - Sebastian Paluch
Kush Suryavanshi wrote:

I am surprised there isn't much demand for this feature.

 Yes, there is demand.

#8 - 2016-04-05 05:42 - Kush Suryavanshi

Good to hear. Thanks!

#9 - 2016-06-02 13:04 - Nils Grimm

+1

#10 - 2016-06-21 17:39 - Toshi MARUYAMA

- Related to Feature #3224: Better project list added

#11 - 2016-06-21 17:43 - Toshi MARUYAMA

- Related to Feature #22124: Display summary of projects in Projects page added

#12 - 2016-06-21 17:49 - Toshi MARUYAMA

- Has duplicate Feature #22121: Add a quick search of projects in Projects page added

#13 - 2017-03-05 07:24 - Go MAEDA

- Has duplicate Feature #22165: Adding a my projects filter to the projects sidebar. added

#14 - 2018-09-02 18:58 - Marius BĂLTEANU

- Is duplicate of Feature #29482: Query system for Projects page added

#15 - 2018-09-02 18:59 - Marius BĂLTEANU

- Is duplicate of deleted (Feature #29482: Query system for Projects page)

#16 - 2018-09-02 18:59 - Marius BĂLTEANU

- Related to Feature #29482: Query system for Projects page added

#17 - 2018-09-04 00:45 - Marius BĂLTEANU

The patches from #29482 cover all the requests from this ticket. Using the "Project" filter, you can select specific projects or "my projects" that will

return all the projects where the current user is a member.

I think that is safe to close this ticket in favour of #29482.

#18 - 2019-09-07 02:35 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Marius BALTEANU wrote:

I think that is safe to close this ticket in favour of #29482.

 Indeed. Closing.
